# Logger

## Install

Via Composer

```
dunno yet lads
```

## Configuration

Register the ``Drp\Logger\LoggerServiceProvider` in your `config/app.php` configuration file:

    'providers' => [
        // Other service providers...
        
        Drp\Logger\LoggerServiceProvider::class
    ];

You can also add a facade:

    'aliases' => [
         // Other facades...
         
        'Logger' => Drp\Logger\LoggerFacade::class,
    ];

You will need to publish the migrations and config:

    php artisan vendor:publish
    
You can do these just for the package if you like:

    php artisan vendor:publish --provider="Drp\Logger\LoggerServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Drp\Logger\LoggerServiceProvider" --tag="config"
    
You will need to run the migrations to create the `logs` table:

    php artisan migrate

To use form validation reporting you will need to add the following to the `app\Exceptions\Handler.php` file.

Add the following use statements:

    use Drp\Logger\Events\ValidationErrorWasDetected;
    use Illuminate\Http\Exception\HttpResponseException;

Then in the `render` method, add:

        if ($e instanceof HttpResponseException && $e->getResponse()) {
            event(new ValidationErrorWasDetected($request));
        }
        
The method will look like this:

    public function render($request, Exception $e)
    {
        if ($e instanceof HttpResponseException && $e->getResponse()) {
            event(new ValidationErrorWasDetected($request));
        }

        return parent::render($request, $e);
    }
