<?php

namespace Drp\Logger\Listeners;

class MailListener extends Listener implements ListenerInterface
{
    /**
     * Handle the event.
     *
     * @param $event
     * @return void
     */
    public function handle($event)
    {
        if ($this->enabled('mail')) {
             $this->log($this->format($event), 'Mail');
        }
    }

    /**
     * Format the event data.
     *
     * @param $event
     * @return array
     */
    public function format($event)
    {
        $message = $event->message;

        return [
            'mail' => [
                'from' => $message->getFrom(),
                'sender' => $message->getSender(),
                'to' => $message->getTo(),
                'cc' => $message->getCc(),
                'bcc' => $message->getBcc(),
                'replyTo' => $message->getReplyTo(),
                'subject' => $message->getSubject(),
                'priority' => $message->getPriority(),
                'body' => $message->getBody(),
            ],
        ];
    }
}
