<?php

namespace Drp\Logger\Listeners;

class ValidationListener extends Listener implements ListenerInterface
{
    /**
     * Handle the event.
     *
     * @param $event
     * @return void
     */
    public function handle($event)
    {
        if ($this->enabled('validation')) {
            $this->log($this->format($event), 'Validation');
        }
    }

    /**
     * Format the event data.
     *
     * @param $event
     * @return array
     */
    public function format($event)
    {
        $request = $event->request;
        $errors = $request->session()->get('errors')->getBag('default')->getMessages();

        return [
            'validation' => [
                'input' => [
                    $request->except('_token'),
                ],
                'errors' => [
                    $errors,
                ],
            ],
        ];
    }
}
