<?php

namespace Drp\Logger;

use Drp\Logger\Models\Logger as Model;

class Logger
{
    /**
     * Create a new log entry.
     *
     * @param $data
     * @param null $type
     * @param null $userId
     * @return mixed
     */
    public function log($data, $type = null, $userId = null)
    {
        return (new Model)->log($data, $type, $userId);
    }

    /**
     * Logs that were created by user with a certain id.
     *
     * @param $id
     * @return mixed
     */
    public function byUserId($id)
    {
        return (new Model)->userId($id)->get();
    }

    /**
     * Logs with the passed type.
     *
     * @param $type
     * @return mixed
     */
    public function byType($type)
    {
        return (new Model)->type($type)->get();
    }

    /**
     * Helper method to return logs with the type Mail.
     *
     * @return mixed
     */
    public function mail()
    {
        return (new Model)->type('Mail')->get();
    }

    /**
     * Helper method to return logs with the type Validation.
     *
     * @return mixed
     */
    public function validation()
    {
        return (new Model)->type('Validation')->get();
    }
}
